# eric4.Scripting.LoadScriptDialog

Module implementing a dialog for loading a script.

### Classes

LoadScriptDialog | Class implementing a dialog for loading a script.

### Functions

None

## LoadScriptDialog

Class implementing a dialog for loading a script.

### Derived from

QDialog, Ui_LoadScriptDialog

### Methods

LoadScriptDialog | Constructor
getData | Public method to retrieve the data entered into the dialog.
on_fileSelectButton_clicked | Private slot to handle the script file selection.

#### LoadScriptDialog (Constructor)

LoadScriptDialog(parent = None)

Constructor

parent
  parent of this dialog (QWidget)

#### LoadScriptDialog.getData

getData()

Public method to retrieve the data entered into the dialog.

Returns:
  tuple with the collected data (script name, script file, execute flag, delete flag) (string, string, boolean, boolean)

#### LoadScriptDialog.on_fileSelectButton_clicked

on_fileSelectButton_clicked()

Private slot to handle the script file selection.

Up